import 'dart:collection';

import 'package:get/get.dart';
import 'package:vitalapp/managers/interfaces/models/device.dart';

class DevicesSettingState {
  final RxList<String> _accessTypes = RxList<String>();
  final RxList<DeviceModel> _deviceList = RxList<DeviceModel>();

  /// 已授权设备类型集合
  List<String> get accessTypes => UnmodifiableListView(_accessTypes);
  set accessTypes(List<String> val) => _accessTypes.value = val;

  /// 设备信息集合
  List<DeviceModel> get deviceList => UnmodifiableListView(_deviceList);
  set deviceList(List<DeviceModel> val) => _deviceList.value = val;
}
